# Class RunConfig

java.lang.Object
com.google.adk.agents.RunConfig

public abstract class RunConfig extends Object
Configuration to modify an agent's LLM's underlying behavior.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `RunConfig.Builder`
  Builder for `RunConfig`.
  `static enum`
  `RunConfig.StreamingMode`
  Streaming mode for the runner.
  `static enum`
  `RunConfig.ToolExecutionMode`
  Tool execution mode for the runner, when they are multiple tools requested (by the models or callbacks).

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RunConfig()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract boolean`
  `autoCreateSession()`
  `static RunConfig.Builder`
  `builder()`
  `static RunConfig.Builder`
  `builder(RunConfig runConfig)`
  `abstract @Nullable com.google.genai.types.AudioTranscriptionConfig`
  `inputAudioTranscription()`
  `abstract int`
  `maxLlmCalls()`
  `abstract @Nullable com.google.genai.types.AudioTranscriptionConfig`
  `outputAudioTranscription()`
  `abstract com.google.common.collect.ImmutableList<com.google.genai.types.Modality>`
  `responseModalities()`
  `abstract boolean`
  `saveInputBlobsAsArtifacts()`
  `abstract @Nullable com.google.genai.types.SpeechConfig`
  `speechConfig()`
  `abstract RunConfig.StreamingMode`
  `streamingMode()`
  `abstract RunConfig.Builder`
  `toBuilder()`
  `abstract RunConfig.ToolExecutionMode`
  `toolExecutionMode()`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RunConfig

    public RunConfig()

- ## Method Details

  - ### speechConfig

    public abstract @Nullable com.google.genai.types.SpeechConfig speechConfig()

  - ### responseModalities

    public abstract com.google.common.collect.ImmutableList<com.google.genai.types.Modality> responseModalities()

  - ### saveInputBlobsAsArtifacts

    public abstract boolean saveInputBlobsAsArtifacts()

  - ### streamingMode

    public abstract RunConfig.StreamingMode streamingMode()

  - ### toolExecutionMode

    public abstract RunConfig.ToolExecutionMode toolExecutionMode()

  - ### outputAudioTranscription

    public abstract @Nullable com.google.genai.types.AudioTranscriptionConfig outputAudioTranscription()

  - ### inputAudioTranscription

    public abstract @Nullable com.google.genai.types.AudioTranscriptionConfig inputAudioTranscription()

  - ### maxLlmCalls

    public abstract int maxLlmCalls()

  - ### autoCreateSession

    public abstract boolean autoCreateSession()

  - ### toBuilder

    public abstract RunConfig.Builder toBuilder()

  - ### builder

    public static RunConfig.Builder builder()

  - ### builder

    public static RunConfig.Builder builder(RunConfig runConfig)